| GET | /RestApi/reviews-api |
|---|
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Frontend.Services.ReviewsService.DTO;
namespace Telerik.Sitefinity.Frontend.Services.ReviewsService.DTO
{
public partial class AuthorReviewedGetRequest
{
public virtual string ThreadKey { get; set; }
}
public partial class AuthorReviewedViewModel
{
public virtual bool AuthorAlreadyReviewed { get; set; }
}
}
C# AuthorReviewedGetRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/reviews-api HTTP/1.1 Host: www.imglobal.com Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"AuthorAlreadyReviewed":false}